Loading ...
Sorry, an error occurred while loading the content.
 

Problem with upgrade from 2.2.10 to 2.3.0 or 2.3.4

Expand Messages
  • Joey
    When upgrading from 2.2.10 to 2.3.0 and then running the new version I get the following: Dec 1 08:47:42 pluto postfix/postfix-script: starting the Postfix
    Message 1 of 21 , Dec 1, 2006
      When upgrading from 2.2.10 to 2.3.0 and then running the new version I get
      the following:

      Dec 1 08:47:42 pluto postfix/postfix-script: starting the Postfix mail
      system
      Dec 1 08:47:42 pluto postfix/master[26822]: daemon started -- version
      2.3.0, configuration /etc/postfix
      Dec 1 08:47:44 pluto postfix/smtpd[26834]: warning: unsupported SASL server
      implementation: cyrus
      Dec 1 08:47:44 pluto postfix/smtpd[26834]: fatal: SASL per-process
      initialization failed
      Dec 1 08:47:45 pluto postfix/master[26822]: warning: process
      /usr/libexec/postfix/smtpd pid 26834 exit status 1
      Dec 1 08:47:45 pluto postfix/master[26822]: warning:
      /usr/libexec/postfix/smtpd: bad command startup -- throttling


      I compile postfix like this:
      make tidy
      make makefiles CCARGS="-DUSE_SASL_AUTH -I/usr/include/sasl"
      AUXLIBS="-L/usr/lib -lsasl2"
      make
      make upgrade


      I'm not really seeing the reason after searching google...

      Any help appreciated.

      Joey
    • Ralf Hildebrandt
      ... You didn t read the RELEASE_NOTES! [Incompat 20051220] The Postfix-with-Cyrus-SASL build procedure has changed. You now need to specify -DUSE_CYRUS_SASL in
      Message 2 of 21 , Dec 1, 2006
        * Joey <Joey@...>:

        > I compile postfix like this:
        > make tidy
        > make makefiles CCARGS="-DUSE_SASL_AUTH -I/usr/include/sasl"
        > AUXLIBS="-L/usr/lib -lsasl2"
        > make
        > make upgrade

        You didn't read the RELEASE_NOTES!

        [Incompat 20051220] The Postfix-with-Cyrus-SASL build procedure has
        changed. You now need to specify -DUSE_CYRUS_SASL in addition to
        -DUSE_SASL_AUTH or else you end up without any Cyrus SASL support.
        The error messages are:

        unsupported SASL server implementation: cyrus
        unsupported SASL client implementation: cyrus

        --
        Ralf Hildebrandt (Ralf.Hildebrandt@...) plonk@...
        Postfix - Einrichtung, Betrieb und Wartung Tel. +49 (0)30-450 570-155
        http://www.postfix-buch.com
        PP: MMDF gone mad with standards fever. Think "Brazil".
      Your message has been successfully submitted and would be delivered to recipients shortly.